package p2.application.tstore_rebuildlog;

import baseclass.PaoCust;
import p2.pao.PaoSet;
import p2.util.P2Exception;
import p2.application.tstore.tstore;

public class tstore_rebuildlog extends PaoCust {
    public tstore_rebuildlog(PaoSet arg0) {
        super(arg0);
    }

    @Override
    public void add() throws P2Exception {
        super.add();
        if (getOwner() instanceof tstore) {
            setValue("tagentsid", getOwner().getLong("tagentsid"), 11L);
            setValue("tstoreid", getOwner().getUniqueIDValue(), 11L);
        }
    }
}
